% crossing.m
% Program to look for ship track crossings and compute height differences
% At the end will plot measured depth difference versus tide difference
% input file is a table with column header (eliminate header line before reading):
% JD Year GMT decJD LatWGS84 LonWGS84 Unc.Depth3(m) Unc.Depth3-Edited(m) HeightCorrection(m) CorrectedDepth(m) Corr_CoteBlanche Corr_EugeneIsland

load waxtbl1.txt -ascii
load waxtbl2.txt -ascii
load waxtbl3.txt -ascii
%
% definitions
%
% column indices:
decJD = 4;			% time of day, decimal julian day
y = 5;				% latitude
x = 6;				% longitude
z = 8;				% edited depth, in meters (positive down)
coteb = 11;			% Cote Blanche Bay water heigth
eugene = 12;			% Eugene Island tide height
dx = 0.025/60.0;		% 0.025 minutes of arc, in degrees
dy = dx;
delta = dx/2.0;			% limit to consider a crossing true

% define W/E/S/N boundaries by getting minmax of tables

wests = [0 0 0];
easts = [0 0 0];
souths = [0 0 0];
norths = [0 0 0];

min1 = min(waxtbl1);
min2 = min(waxtbl2);
min3= min(waxtbl3);

max1 = max(waxtbl1);
max2 = max(waxtbl2);
max3 = max(waxtbl3);

wests(1) = min1(x); wests(2) = min2(x); wests(3) = min3(x);
easts(1) = max1(x); easts(2) = max2(x); easts(3) = max3(x);

souths(1) = min1(y); souths(2) = min2(y); souths(3) = min3(y);
norths(1) = max1(y); norths(2) = max2(y); norths(3) = max3(y);

w = min(wests);
e = max(easts);
s = min(souths);
n = max(norths);

yvector = s:dy:n;
xvector = w:dx:e;
ncross = zeros(size(xvector),size(yvector));	% registers number of crossings
crossindex = zeros(size(xvector),size(yvector));	% registers crossing index for crossinfo array
crossindex2 = zeros(size(xvector),size(yvector));	% registers crossing index for crossinfo array if there is a second crossing in the same location
crossinfo = zeros(5000, 11); 	% flag (0 if first crossing at location, 1 if second, ...), jd1, jd2, x1,x2,y1,y2,z1,z2, coteb, eugeneisl. 
				% maximum of 5000 datapoints

% loop through a grid and read all values each time to find crossings
for xx = w:dx:e,
	for yy = s:dy:n,
		
		for i=1:1:size(waxtbl1,1)
			
		end
		for i=1:1:size(waxtbl2,1)
			
		end
		for i=1:1:size(waxtbl3,1)
			
		end
	end
end